What are the minimum system requirements to run Examplify Beta?

February 16, 2017 Kelly Basara

Examplify can be used on virtually any modern computer (i.e. purchased within the last 3-4 years).  Specific system requirements are noted below:

Please select the version of Examplify your institution is using, along with the correct operating system for a complete list:

Examplify Minimum System Requirements:

 

Previous Article
Known Issues
Known Issues

A list of known issues and workarounds for the most recent Examplify version.

Next QRG
Previewing an Exam with Examplify Beta for Win / Mac
Previewing an Exam with Examplify Beta for Win / Mac